import * as $dara from '@darabonba/typescript';
import { DescribeElasticityAssuranceAutoRenewAttributeResponseBody } from "./DescribeElasticityAssuranceAutoRenewAttributeResponseBody";
export declare class DescribeElasticityAssuranceAutoRenewAttributeResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeElasticityAssuranceAutoRenewAttributeResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
